<div class="details">
  <ng-container *ngIf="!isLoading; else loader">
    <div class="details__transactions">
      <label class="title">
        {{
          "LOAN_MANAGER.PAYMENTS.TABLE_DETAILS.TRANSACTION_DETAILS" | translate
        }}
      </label>
      <div class="paid">
        <p class="paid__title">
          {{ "LOAN_MANAGER.PAYMENTS.TABLE_DETAILS.TOTAL_PAID" | translate }}
        </p>
        <p class="paid__value">{{ paymentProfile?.amount | customCurrency }}</p>
      </div>
    </div>
    <div class="details__divider"></div>
    <div class="details__payment-summary">
      <label class="title">
        {{ "LOAN_MANAGER.PAYMENTS.TABLE_DETAILS.PAYMENT_SUMMARY" | translate }}
      </label>
      <div class="items">
        <layout-summary-item
          *ngFor="let item of paymentProfile?.summary; last as isLast"
          [name]="item.key"
          [value]="item.value"
          [hasDivider]="!isLast"
          [isTitleBold]="false"
          [isDashed]="true"
        >
          <ng-container *ngIf="item?.extraData">
            <layout-summary-sub-item
              *ngFor="let subItem of item?.extraData"
              [name]="subItem.key | translate"
              [value]="subItem.value"
              [isDashed]="true"
              [designClass]="SUMMARY_DESIGN_CLASS.ALTERNATIVE"
            ></layout-summary-sub-item>
          </ng-container>
        </layout-summary-item>
      </div>
    </div>
    <div class="details__buttons">
      <mo-button
        *ngIf="loanId"
        [text]="
          'LOAN_MANAGER.PAYMENTS.TABLE_DETAILS.BTN_VISIT_CREDIT' | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [routerLink]="loanProfileUrl"
        [queryParams]="{ id: loanId }"
      >
      </mo-button>
    </div>
  </ng-container>
</div>

<ng-template #loader>
  <div class="details__transactions">
    <layout-skeleton
      *ngFor="let skeleton of skeletonItemsTotals"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
  <div class="details__divider"></div>
  <div class="details__payment-summary">
    <layout-skeleton
      *ngFor="let skeleton of skeletonItemsSummary"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>
